Page MenuHomePhabricator

Repositories with Selenium tests should not use mediawiki code directly
Closed, ResolvedPublic

Description

As a follow-up for T193088#4404826, all repositories with Selenium tests should use wdio-mediawiki, if they need any shared functionality.

Gerrit: bug:T199113

  • mediawiki/core โœ… 6 passed
  • mediawiki/extensions/AbuseFilter ๐Ÿ’ฃ 0 passing, 3 failing
  • mediawiki/extensions/AdvancedSearch ๐Ÿ’ฃ 39 passing, 3 failing
  • mediawiki/extensions/CirrusSearch โœ… 3 passing
  • mediawiki/extensions/Cite ๐Ÿ’ฃ 5 passing, 1 failing
  • mediawiki/extensions/ContentTranslation โœ… 1 passing
  • mediawiki/extensions/Echo โœ… 4 passing
  • mediawiki/extensions/ElectronPdfService โœ… 1 passing
  • mediawiki/extensions/FileImporter ๐Ÿ’ฃ 0 passing, 2 failing
  • mediawiki/extensions/GrowthExperiments ๐Ÿ’ฃ 2 passing, 2 failing
  • mediawiki/extensions/Math โœ… 1 passing
  • mediawiki/extensions/MobileFrontend โœ… 2 passing
  • mediawiki/extensions/Newsletter โœ… 1 passing
  • mediawiki/extensions/ORES โœ… 1 pending
  • mediawiki/extensions/Popups โœ… 3 passing , 4 skipped
  • mediawiki/extensions/RelatedArticles โœ… 2 passing
  • mediawiki/extensions/RevisionSlider โœ… 6 passing
  • mediawiki/extensions/TemplateWizard ๐Ÿ’ฃ 1 failing
  • mediawiki/extensions/TwoColConflict โœ… 28 passing
  • mediawiki/extensions/Wikibase ๐Ÿ’ฃ 38 passing, 1 skipped, 2 failing
  • mediawiki/extensions/WikibaseCirrusSearch ๐Ÿ’ฃ 1 failing
  • mediawiki/extensions/WikibaseLexeme ๐Ÿ’ฃ36 passing, 4 skipped, 1 failing
  • mediawiki/extensions/WikibaseMediaInfo ๐Ÿ’ฃ0 passing, 5 failing
  • mediawiki/skins/MinervaNeue โœ… 14 passing, 2 skipped
  • phab-deployment
  • wikibase/termbox
  • wikidata/query/gui
  • wikimedia/portals/deploy

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
greg added a comment.May 23 2019, 10:46 PM

@zeljkofilipin all the patches listed in the description are merged, are we good here?

I'll check if there is anything left here to do.

zeljkofilipin updated the task description. (Show Details)
zeljkofilipin removed zeljkofilipin as the assignee of this task.Jul 11 2019, 1:52 PM
zeljkofilipin moved this task from Doing to Ready on the Release-Engineering-Team-TODO (201907) board.
zeljkofilipin updated the task description. (Show Details)Oct 2 2019, 2:42 PM
zeljkofilipin updated the task description. (Show Details)Oct 2 2019, 2:58 PM
zeljkofilipin updated the task description. (Show Details)Oct 2 2019, 3:09 PM

Change 540872 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[integration/config@master] WIP All repositories with Selenium tests should use wdio-mediawiki

https://gerrit.wikimedia.org/r/540872

zeljkofilipin updated the task description. (Show Details)Oct 4 2019, 1:56 PM

Change 540877 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/extensions/AbuseFilter@master] Selenium: make it possible to run daily Jenkins job targeting beta cluster

https://gerrit.wikimedia.org/r/540877

Change 540878 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/extensions/Cite@master] Selenium: make it possible to run daily Jenkins job targeting beta cluster

https://gerrit.wikimedia.org/r/540878

Change 540885 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/extensions/ContentTranslation@master] Selenium: make it possible to run daily Jenkins job targeting beta cluster

https://gerrit.wikimedia.org/r/540885

Change 540887 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/extensions/ElectronPdfService@master] Selenium: make it possible to run daily Jenkins job targeting beta cluster

https://gerrit.wikimedia.org/r/540887

Change 540877 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Selenium: make it possible to run daily Jenkins job targeting beta cluster

https://gerrit.wikimedia.org/r/540877

zeljkofilipin updated the task description. (Show Details)Oct 4 2019, 2:53 PM

Change 540891 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/extensions/GrowthExperiments@master] Selenium: make it possible to run daily Jenkins job targeting beta cluster

https://gerrit.wikimedia.org/r/540891

Change 540887 merged by jenkins-bot:
[mediawiki/extensions/ElectronPdfService@master] Selenium: make it possible to run daily Jenkins job targeting beta cluster

https://gerrit.wikimedia.org/r/540887

Change 540893 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/extensions/RevisionSlider@master] Selenium: make it possible to run daily Jenkins job targeting beta cluster

https://gerrit.wikimedia.org/r/540893

zeljkofilipin updated the task description. (Show Details)Oct 4 2019, 3:08 PM
zeljkofilipin updated the task description. (Show Details)

Change 540894 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/extensions/TemplateWizard@master] Selenium: make it possible to run daily Jenkins job targeting beta cluster

https://gerrit.wikimedia.org/r/540894

Change 540878 merged by jenkins-bot:
[mediawiki/extensions/Cite@master] Selenium: make it possible to run daily Jenkins job targeting beta cluster

https://gerrit.wikimedia.org/r/540878

Change 540897 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/extensions/WikibaseCirrusSearch@master] Selenium: make it possible to run daily Jenkins job targeting beta cluster

https://gerrit.wikimedia.org/r/540897

Change 540891 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Selenium: make it possible to run daily Jenkins job targeting beta cluster

https://gerrit.wikimedia.org/r/540891

Change 540893 merged by jenkins-bot:
[mediawiki/extensions/RevisionSlider@master] Selenium: make it possible to run daily Jenkins job targeting beta cluster

https://gerrit.wikimedia.org/r/540893

Change 540897 merged by jenkins-bot:
[mediawiki/extensions/WikibaseCirrusSearch@master] Selenium: make it possible to run daily Jenkins job targeting beta cluster

https://gerrit.wikimedia.org/r/540897

zeljkofilipin updated the task description. (Show Details)Oct 4 2019, 4:04 PM

Change 540911 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/extensions/WikibaseMediaInfo@master] Selenium: make it possible to run daily Jenkins job targeting beta cluster

https://gerrit.wikimedia.org/r/540911

Change 540911 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Selenium: make it possible to run daily Jenkins job targeting beta cluster

https://gerrit.wikimedia.org/r/540911

Change 540885 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Selenium: make it possible to run daily Jenkins job targeting beta cluster

https://gerrit.wikimedia.org/r/540885

zeljkofilipin updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)

Change 540872 merged by jenkins-bot:
[integration/config@master] WIP All repositories with Selenium tests should use wdio-mediawiki

https://gerrit.wikimedia.org/r/540872

Restricted Application added a subscriber: Masumrezarock100. ยท View Herald TranscriptOct 14 2019, 6:35 PM
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)

Change 546679 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[integration/config@master] WIP npm ERR! missing script: selenium-daily WIP

https://gerrit.wikimedia.org/r/546679

Change 546993 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/extensions/FileImporter@master] Selenium: fix NPM scripts

https://gerrit.wikimedia.org/r/546993

Change 546993 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Selenium: fix NPM scripts

https://gerrit.wikimedia.org/r/546993

Change 540894 merged by jenkins-bot:
[mediawiki/extensions/TemplateWizard@master] Selenium: make it possible to run daily Jenkins job targeting beta cluster

https://gerrit.wikimedia.org/r/540894

zeljkofilipin renamed this task from All repositories with Selenium tests should use wdio-mediawiki to Repositories with Selenium tests should not use mediawiki code directly.Nov 6 2019, 1:39 PM
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)Nov 6 2019, 1:41 PM

Change 546679 abandoned by Zfilipin:
WIP npm ERR! missing script: selenium-daily WIP

https://gerrit.wikimedia.org/r/546679

zeljkofilipin updated the task description. (Show Details)Nov 6 2019, 1:42 PM
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin closed this task as Resolved.Nov 6 2019, 1:46 PM
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)